FAQ

[Q] How to resolve the XBuild error “… you have a new version of dbgrid32.ocx”?

Question

When working with XBuild I am getting a message: “One of the tools in DSSAT might not work correctly as you have a new version of dbgrid32.ocx in Windows\SysWOW64 or Windows\System32 folder.” How can I resolve this?

Answer

This error occurs when you have ArcGIS/ERDAS installed on your computer. To resolve this issue you need to follow to these steps:

  1. CUT and COPY either the Windows\SysWOW64\dbgrid32.ocx or Windows\System32\dbgrid32.ocx file to a different location on your computer
  2. Uninstall DSSAT and then again install DSSAT46
  1. Run XBuild and check to make sure that it works.

Using this procedure, you will install the same file but a different version from DSSAT46. While working with ArcGIS/ERDAS programs if you experience any problem then CUT and COPY the current dbgrid32.ocx for DSSAT46 to a safe place and replace it with dbgrid32.ocx from ArcGIS/ERDAS you saved in the previous steps.

Please note that you now have two different version of dbgrid32.ocx  file: one from ArcGIS/ERDAS that you saved and another from DSSAT46 that you installed. Please make sure to keep them separate to avoid any further conflicts.

Tags: ,

No comments yet.

Leave a Comment

Remember to play nicely folks, nobody likes a troll.